package com.zcloud.service.commitment;


import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：承诺书表
 * 作者：yangming
 * 时间：2022-12-29
 */
public interface CorpPromiseService {

    /**新增
     * @param pd
     * @throws Exception
     */
    public void save(PageData pd)throws Exception;

    /**列表
     * @param page
     * @throws Exception
     */
    public List<PageData> list(Page page)throws Exception;

    /**禁用启用
     * @param pd
     * @throws Exception
     */
    void editdelete(PageData pd)throws Exception;

    /**通过ID查询
     * @param pd
     * @throws Exception
     */
    PageData findById(PageData pd)throws Exception;

    /**修改
     * @param pd
     * @throws Exception
     */
    void edit(PageData pd)throws Exception;

    List<PageData> listAll(Page page)throws Exception;

    List<PageData> collateralall(PageData pd)throws Exception;

    void editpeople(PageData pd)throws Exception;

    public List<PageData> postlistAll(PageData pd)throws Exception;

    List<PageData> listAllUser(PageData pd)throws Exception;
}
